import request from '@/utils/request'

// 查询数据类型列表
export function listDatatype(query) {
  return request({
    url: '/VRdemo/datatype/list',
    method: 'get',
    params: query
  })
}

// 查询数据类型详细
export function getDatatype(dataTypeId) {
  return request({
    url: '/VRdemo/datatype/' + dataTypeId,
    method: 'get'
  })
}

// 新增数据类型
export function addDatatype(data) {
  return request({
    url: '/VRdemo/datatype',
    method: 'post',
    data: data
  })
}

// 修改数据类型
export function updateDatatype(data) {
  return request({
    url: '/VRdemo/datatype/edit',
    method: 'post',
    data: data
  })
}

//修改数据类型状态
export function updateDatatypeStatus(dataTypeId, status) {
  const data = {
    dataTypeId,
    status
  }
  return request({
    url: '/VRdemo/datatype/changeStatus',
    method: 'put',
    data: data
  })
}

// 删除数据类型
export function delDatatype(dataTypeId) {
  return request({
    url: '/VRdemo/datatype/' + dataTypeId,
    method: 'delete'
  })
}

// // 查询数据类型列表
// export function selectParameters() {
//   return request({
//     url: '/VRdemo/datatype/selectParams',
//     method: 'post',
//   })
// }
